org.springframework.cloud.dataflow.server.service.impl.validation

## Class DefaultValidationService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.validation.DefaultValidationService

- All Implemented Interfaces:
    ValidationService
  Direct Known Subclasses:
    DefaultStreamValidationService, DefaultTaskValidationService

      public class DefaultValidationService
      extends Object
      implements ValidationService

  Implementation of Validation Service that delegates to the application registry.
  Author:
    Glenn Renfo, Mark Pollack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidationService(AppRegistryService appRegistry, DockerValidatorProperties dockerValidatorProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRegistered(String name, ApplicationType applicationType)` Checks if application with its name and type is registered.
    `boolean` | `validate(String name, ApplicationType appType)` Validate application with given name and type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidationService

          public DefaultValidationService(AppRegistryService appRegistry,
                                          DockerValidatorProperties dockerValidatorProperties)

  - ### Method Detail

    - #### isRegistered

          public boolean isRegistered(String name,
                                      ApplicationType applicationType)

      Description copied from interface: `ValidationService`
      Checks if application with its name and type is registered.
      Specified by:
        `isRegistered` in interface `ValidationService`
      Parameters:
        `name` - the name
        `applicationType` - the application type
      Returns:
        true, if is registered

    - #### validate

          public boolean validate(String name,
                                  ApplicationType appType)

      Description copied from interface: `ValidationService`
      Validate application with given name and type.
      Specified by:
        `validate` in interface `ValidationService`
      Parameters:
        `name` - the name
        `appType` - the application type
      Returns:
        true, if successful

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.